/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2008 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */
package org.ow2.petals.component.framework.mbean;

import javax.management.MBeanException;

/**
 * 
 * 
 * @author Christophe HAMERLING - eBM WebSourcing
 * @since 3.0
 * 
 */
public interface InterceptorManagerMBean {

	/**
	 * 
	 * @param className
	 * @param interceptorName
	 */
	void addInterceptor(String className, String interceptorName)
			throws MBeanException;

	/**
	 * 
	 * @param interceptorName
	 */
	boolean startInterceptor(String interceptorName) throws MBeanException;

	/**
	 * 
	 * @param interceptorName
	 */
	boolean stopInterceptor(String interceptorName) throws MBeanException;

	/**
	 * 
	 * @param interceptorName
	 */
	public void engageInterceptor(String interceptorName) throws MBeanException;

}
